#job-list aside[class^="col-"] {
    padding-left: 0;
    padding-right: 0;
}

aside>form {
    position: relative;
    max-width: 100%;
    height: 100%;
    padding: 30px 15px;
    background-color: #f2f2f2;
    box-shadow: .25px 0 1px .5px rgba(0, 0, 0, .25);
}

@media(min-width:576px) {
    #job-list aside[class^="col-"] {
        padding-left: 0;
        padding-right: 0;
    }
    aside>form {
        position: relative;
        padding: 30px 15px;
        max-width: 100%;
        box-shadow: .25px 0 1px .5px rgba(0, 0, 0, .25);
    }
}

@media(min-width:768px) {
    #job-list aside[class^="col-"] {
        padding-left: 0px;
        padding-right: 15px;
    }
    aside>form {
        position: fixed;
        padding: 30px 30px;
        max-width: calc(33.333333% - 15px);
        box-shadow: .5px 0 2px 1px rgba(0, 0, 0, .2);
    }
}

@media(min-width:992px) {
    aside>form {
        max-width: calc(25% - 15px);
        box-shadow: 1px 0 4px 2px rgba(0, 0, 0, .15);
    }
}

@media(min-width:1200px) {
    aside>form {
        max-width: calc(16.666667% - 15px);
        box-shadow: 2px 0 8px 4px rgba(0, 0, 0, .1);
    }
}

aside h3 {
    font-size: 1.5rem;
    font-weight: 900;
    margin-bottom: 1.5rem;
}

aside .form-group {
    margin-bottom: 1.5rem;
}

aside hr {
    margin: 2rem auto;
}

#job-list .form-group .form-control:not(.input-text) {
    cursor: pointer;
}

#job-list .form-group:hover .form-control,
#job-list .form-group:hover .form-control::placeholder,
#job-list .form-group:hover .input-group-addon i {
    color: #000;
}

#job-list .form-control:focus {
    color: #000;
    background-color: #dcecff;
    border-color: #fff;
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(45, 102, 188, .25);
}

#job-list .form-group:hover .form-control.input-course,
#job-list .form-group:hover .input-group,
#job-list .form-group:hover .input-text {
    border: 1px solid #000;
}

#job-list .form-group .input-group {
    border: 1px solid #ced4da;
    background-color: #fff;
}

#job-list .form-group input[type="text"].btn.form-control {
    border: 0px solid transparent;
    background-color: transparent;
}

#job-list .form-group .input-group {
    border-radius: .25rem;
}

#job-list .form-group .input-group input {
    text-align: left;
}

#job-list .form-group .input-group-addon {
    font-size: .75rem;
    color: #495057;
    font-weight: 100;
    margin: auto .3rem;
    cursor: pointer;
}

#job-list form .btn-group {
    width: 100%;
}

#job-list form .btn-group button {
    width: 100%;
    max-width: 100%;
    padding: .5rem 1rem;
    background-color: #2d66bc;
    color: #fff;
    font-size: 1.5rem;
    font-weight: 700;
}

#job-list form .btn-group button:hover {
    background-color: #17a2b8;
    color: #e6e6e6;
    transition: all .3s;
}

#job-list form .btn-group button:hover span:after {
    color: #e6e6e6;
    transition: all .3s;
}

#job-list form .btn-group button span {
    width: 100%;
    white-space: pre-wrap;
    display: inline-block;
}

#job-list form .btn-group button span:after {
    margin-left: .5rem;
    font-family: FontAwesome;
    content: "\f002";
    color: #f9d06b;
}


/*
#job-list form .btn-group button:after {
margin-left: .5rem;
font-family: FontAwesome;
content: "\f002";
color: #f9d06b;
border: 1px solid red;
}*/

#job-list>.row main>.container-fluid {
    width: 100%;
    padding-top: 0px;
    padding-bottom: 0px;
    margin-left: auto;
    margin-right: auto;
}

#job-list .condition ul,
#job-list .condition li {
    list-style-type: none;
    display: inline-block;
    margin: 0 0;
    padding: 0 0;
}

#job-list .condition .badge {
    border-radius: 999px;
    background-color: #17a2b8;
    color: #fff;
    padding: .5rem 1rem;
    font-size: .875rem;
    font-weight: 400;
    margin: .25rem .5rem;
}

#job-list .condition .badge:hover {
    background-color: #098194;
    color: #fdffe9;
}

#job-list .condition .badge:first-child {
    margin-left: 0;
}

#job-list .condition .badge:last-child {
    margin-right: 0;
}

#job-list .condition .badge a {
    padding: 0 .25rem;
    margin: 0;
    line-height: 1.2;
}

#job-list .condition .badge a.btn:hover {
    color: #f95f75;
    transition: all 1s;
}

#job-list .condition .badge a:after {
    font-family: FontAwesome;
    content: "\f00d";
    /*margin-left: .5rem;*/
}

#job-list .subtotal p {
    display: inline;
}

#job-list .card-area a {
    width: 100%;
    display: inline-block;
}

#job-list .card-area a:hover {
    text-decoration: none;
}

#job-list .card-area a:hover .card {
    text-decoration: none;
    box-shadow: 1px 1px 4px 2px rgba(0, 0, 0, .075);
    border: 1px solid #fff;
    background: #e8f1fc;
    transition: all .3s;
}

#job-list .card-area a:hover h4 {
    color: red;
    font-weight: 900;
    transition: all .3s;
}

#job-list .card-area a:hover h5.company {
    font-weight: 600;
    color: #098194;
    transition: all .3s;
}

#job-list .card-area a:hover h5.city {
    font-weight: 800;
    color: #dc3545;
    transition: all .3s;
}

#job-list .card-area a:hover span.salary {
    font-weight: 500;
    color: #000;
    transition: all .3s;
}

#job-list .card-area .card {
    border-radius: 5px;
    box-shadow: 1px 1px 4px 2px rgba(0, 0, 0, .15);
    border: 1px solid transparent;
}

#job-list .card-area .card .card-body {
    padding: 30px;
}

#job-list .card-area .card h4.job {
    margin-bottom: .05rem;
    font-size: 1.25rem;
    font-weight: 700;
    color: #dc3545;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

#job-list .card-area .card h5.city {
    font-size: 1.0625rem;
    font-weight: 700;
    color: #f95f75;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

#job-list .card-area .card h5.city:before {
    content: "【";
}

#job-list .card-area .card h5.city.city:after {
    content: "】";
}

#job-list .card-area .card h5.company {
    font-size: 1rem;
    font-weight: 500;
    color: #17a2b8;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

#job-list .card-area .card span.salary {
    font-size: 1rem;
    font-weight: 400;
    display: inline-block;
    color: #666;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}


/*
#job-list .pagination {
border: 1px solid red;
}

#job-list .page-item {
border: 1px solid blue;
}*/

#job-list .pagination {
    margin: auto;
    justify-content: center;
    flex-wrap: wrap;
}


/*
#job-list .pagination li {
border: 1px solid blue;
}

#job-list .pagination li a {
border: 1px solid green;
}*/

#job-list .page-link {
    color: #6fa3ef;
    text-align: center;
    padding: 2rem .5rem;
}

#job-list .page-item.active .page-link {
    background-color: #6fa3ef;
    border: 1px solid #6fa3ef;
    color: #fff;
    cursor: default;
    pointer-events: none;
}

#job-list .page-link:hover {
    color: #fff;
    background-color: #79a0d8;
}

#job-list .page-link:before,
#job-list .page-link:after {
    font-family: FontAwesome;
    margin: auto .125rem;
}

#job-list .first-page .page-link:before,
#job-list .first-page .page-link:after {
    margin: auto 0;
}

#job-list .first-page .page-link:before {
    content: "\f048";
}

#job-list .first-page .page-link:after {
    content: "";
}

#job-list .prev-page .page-link:before {
    content: "\f053";
}

#job-list .prev-page .page-link:after {
    content: "前一頁";
}

#job-list .more-page .page-link:after {
    content: "\f141";
}

#job-list .next-page .page-link:before {
    content: "下一頁";
}

#job-list .next-page .page-link:after {
    content: "\f054";
}

#job-list .last-page .page-link:before {
    content: "";
}

#job-list .last-page .page-link:after {
    content: "\f051";
}

#job-list .page-text {
    width: auto;
    margin-top: .5rem;
}

#job-list .page-text .currently-page:before {
    content: "第";
    margin-right: .25rem
}

#job-list .page-text .currently-page:after {
    content: "/";
    margin-left: .25rem
}

#job-list .page-text .total-page:before {
    content: "共";
    margin-right: .25rem
}

#job-list .page-text .total-page:after {
    content: "頁";
    margin-left: .25rem
}

#job-list .page-item:not(.prev-page):not(.next-page):not(.page-text) {
    display: none;
}

#job-list .page-item.prev-page {
    order: 1;
}

#job-list .page-item.next-page {
    order: 3;
}

#job-list .page-item.page-text {
    order: 2;
    margin: auto .25rem;
    font-size: .75rem;
}

#job-list .page-item.prev-page .page-link,
#job-list .page-item.next-page .page-link {
    background-color: #6fa3ef;
    color: #fff;
    font-size: .9rem;
    font-weight: 700;
}

#job-list .page-item.page-text .page-link {
    font-size: .875rem;
}

@media(min-width:768px) {
    #job-list>.row main>.container-fluid {
        width: calc(100% + 15px);
        margin-left: -15px;
        margin-right: -15px;
    }
    #job-list .page-link {
        padding: .5rem .75rem;
    }
    #job-list .page-item.prev-page,
    #job-list .page-item.next-page,
    #job-list .page-item.page-text {
        order: unset;
        margin: 0;
    }
    #job-list .page-item.page-text {
        margin-top: .5rem;
        font-size: 1rem;
    }
    #job-list .page-item {
        display: list-item;
    }
    #job-list .page-item:not(.prev-page):not(.next-page):not(.page-text) {
        display: list-item;
    }
    #job-list .page-text {
        width: 100%;
    }
    #job-list .page-text .currently-page:before {
        content: "目前第";
    }
    #job-list .page-text .currently-page:after {
        content: "頁，";
    }
    #job-list .prev-page .page-link:after {
        content: "";
    }
    #job-list .next-page .page-link:before {
        content: "";
    }
    #job-list .page-item.prev-page .page-link,
    #job-list .page-item.next-page .page-link {
        background-color: #fff;
        color: #6fa3ef;
        font-size: 1rem;
        font-weight: 400;
    }
}

@media(min-width:992px) {
    #job-list .first-page .page-link:after {
        content: "第一頁";
    }
    #job-list .prev-page .page-link:after {
        content: "前一頁";
    }
    #job-list .next-page .page-link:before {
        content: "下一頁";
    }
    #job-list .last-page .page-link:before {
        content: "最後一頁";
    }
}

#job-list .subtotal {
    vertical-align: middle;
    align-items: center;
}

#job-list .pagination-top.pagination {
    justify-content: flex-end;
}

#job-list .pagination-top.pagination .page-item .page-link {
    font-size: .875rem;
    padding: .25rem .5rem;
    background-color: #6797dd;
    color: #fcfcfc;
}

#job-list .pagination-top.pagination .page-item .page-link:hover {
    background-color: #2d66bc;
    color: #fff;
    transition: all .3s;
}

#job-list .pagination-top.pagination .page-text {
    width: auto;
    margin: auto .5rem;
    font-size: .75rem;
    order: -1;
}